Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 654420 - games-emulation/gens-2.15.5-r1 : configure: error: *** GTK+ version 2.4.0 not found!
Summary: games-emulation/gens-2.15.5-r1 : configure: error: *** GTK+ version 2.4.0 not...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-30 13:27 UTC by Toralf Förster
Modified: 2019-05-28 09:40 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.00 KB, text/plain)
2018-04-30 13:27 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,158.30 KB, text/plain)
2018-04-30 13:27 UTC, Toralf Förster
Details
environment (environment,85.71 KB, text/plain)
2018-04-30 13:27 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.61 KB, application/x-bzip)
2018-04-30 13:27 UTC, Toralf Förster
Details
games-emulation:gens-2.15.5-r1:20180430-112001.log (games-emulation:gens-2.15.5-r1:20180430-112001.log,4.50 KB, text/plain)
2018-04-30 13:27 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,4.02 KB, application/x-bzip)
2018-04-30 13:27 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,21.41 KB, application/x-bzip)
2018-04-30 13:27 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2018-04-30 13:27:03 UTC
*** The test program failed to compile or link. See the file config.log for the
*** exact error that occured. This usually means GTK+ is incorrectly installed.
configure: error: *** GTK+ version 2.4.0 not found!

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/games-emulation/gens-2.15.5-r1/work/gens-2.15.5/config.log

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-desktop-plasma_libressl_20180425-211002

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.0 *

Available Python interpreters, in order of preference:
  [1]   python3.5
  [2]   python2.7 (fallback)
  [3]   pypy3 (fallback)
Available Ruby profiles:
  [1]   ruby23 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.7.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv games-emulation/gens
[ebuild  N    ] games-emulation/gens-2.15.5-r1
Comment 1 Toralf Förster gentoo-dev 2018-04-30 13:27:06 UTC
Created attachment 529094 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2018-04-30 13:27:09 UTC
Created attachment 529096 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2018-04-30 13:27:13 UTC
Created attachment 529098 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2018-04-30 13:27:16 UTC
Created attachment 529100 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2018-04-30 13:27:19 UTC
Created attachment 529102 [details]
games-emulation:gens-2.15.5-r1:20180430-112001.log
Comment 6 Toralf Förster gentoo-dev 2018-04-30 13:27:22 UTC
Created attachment 529104 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2018-04-30 13:27:25 UTC
Created attachment 529106 [details]
temp.tbz2
Comment 8 triplejam 2018-07-15 02:42:31 UTC
Hi, I got this to build manually without portage. Maybe the steps I took will help to figure out the root issue if you haven't yet.

1. Applied all the patches except the as-needed patch against a stock copy of gens-2.15.5-r1. Also did the sed command.
2. Ran aclocal and automake in the directory
3. Applied the as-needed patch
4. Made sure all the 32 bit versions of the gtk / gdk / pango dependencies were installed
5. Ran 'i386' in the shell to change the enviroment
6. Ran 'CFLAGS="-m32" ./configure --disable-gtktest --disable-sdltest'
7. Changed the include directories for glib in the makefiles from lib64 to lib32
8. Ran 'make'
Comment 9 Michael Perlov 2018-08-14 15:29:20 UTC
USE=abi_x86_32 emerge gtk+:2 will fix the problem